## NAME

r.le.pixel - The r.le.pixel program contains a set of measures for attributes, diversity, texture, juxtaposition, and edge.
(GRASS Raster Program)

## SYNOPSIS

r.le.pixel
r.le.pixel.help
r.le.pixel [-beuz] map=name [sam=name] [reg=name] [att=name[,name,...]] [div=name[,name,...]] [te1=name] [te2=name[,name,...]] [jux=name[,name,...]] [edg=name[,name,...]]

## OPTIONS

### Flags:

-b
  Run in background.
-e
  Output map 'edge' of edges given a '1' in r.le.para/edge file.
-u
  Output maps 'units_x' with sampling units for each scale x.
-z
  Output map 'zscores' with standardized scores.

### Parameters:

map
  Raster map to be analyzed.
sam
  Sampling method (choose only 1 method): w=whole map, u=units, m=moving window, r=regions
  Default: w
reg
  Name of regions map, only when sam = r; omit otherwise.
att
  Attribute measures:
  Options: b1, b2, b3, b4
  b1 = mean pixel attribute
  b2 = st. dev. pixel attribute
  b3 = minimum pixel attribute
  b4 = maximum pixel attribute
div
  Diversity measures:
  Options: d1, d2, d3, d4
  d1 = richness
  d2 = Shannon
  d3 = dominance
  d4 = inverse Simpson
te1
  Texture method (choose only 1 method):
  Options: m1, m2, m3, m4, m5, m6, m7
  m1 = 2N-H
  m2 = 2N-45
  m3 = 2N-V
  m4 = 2N-135
  m5 = 4N-HV
  m6 = 4N-DIAG
  m7 = 8N
te2
  Texture measures (required if te1 was specified):
  Options: t1, t2, t3, t4, t5
  t1 = contagion
  t2 = ang. sec. mom.
  t3 = inv. diff. mom.
  t4 = entropy
  t5 = contrast
jux
  Juxtaposition measures (weight file in r.le.para needed):
  Options: j1, j2
  j1 = mean juxtaposition
  j2 = standard deviation of juxtaposition
edg
  Edge measures:
  Options: e1, e2
  e1 = sum of edges
  e2 = sum of edges by type (edge file in r.le.para needed)

## SEE ALSO

The r.le Programs Users Guide
r.le.dist, r.le.null, r.le.patch, r.le.rename, r.le.setup, r.le.trace

## AUTHOR

William L. Baker, Department of Geography and Recreation, University of Wyoming

Last changed: $Date: 2002/01/25 05:45:34 $